Subject: Kernel load address

From: Ralf Baechle <[email-masked]>
Date: Sat, 14 Jun 1997 02:29:44 +0200 (MET DST)

Hi,

on SGI we load the kernel to the address 0x88069000.  See arch/mips/Makefile.
Is there any special reason for that address?

  Ralf

---

From: "William J. Earl" <[email-masked]>
Date: Fri, 13 Jun 1997 18:04:55 -0700

> Is there any special reason for that address?

      Indy memory (unlike memory on many other SGI systems) starts
as physical address 0x08000000, so this is a little above the beginning
of memory.  (0x88000000 is the K0SEG address for the start of memory.)
The first 512 KB of memory is also mapped at physical address 0, so
that the exception vectors can be addresses.  Production IRIX kernels
are linked at 0x88002000.  Debug IRIX kernels are linked at about
0x88069000 to leave room for symmon, the IRIX resident kernel debugger.